include(../desktopbsd.pro.inc)

TARGET = dbsd-pkgmgr
TEMPLATE = app
CONFIG += warn_on

INSTALLS += kmenu-system \
            kdialog-ports-wrapper \
            dbsd-portsnap \
            splash \
            target 
target.path = /usr/local/bin

kmenu-system.files += dbsd-pkgmgr.desktop 
kmenu-system.path = /usr/local/share/applnk/System 

kdialog-ports-wrapper.files += kdialog-ports-wrapper
kdialog-ports-wrapper.path = /usr/local/bin

dbsd-portsnap.files += dbsd-portsnap
dbsd-portsnap.path = /usr/local/sbin

splash.files += pkgmgr-splash.png
splash.path = /usr/local/share/desktopbsd/images

INCLUDEPATH += ../libdesktopbsd-ui ../libdesktopbsd
QMAKE_LIBDIR = ../libdesktopbsd-ui \
               ../libdesktopbsd \
               /usr/local/lib
LIBS += -ldesktopbsd \
        -ldesktopbsd-ui \
        -lkdeui

TARGETDEPS += ../libdesktopbsd-ui/libdesktopbsd-ui.so \
              ../libdesktopbsd/libdesktopbsd.so

FORMS += wndmain.ui \
         frmpkgsettings.ui 

SOURCES += main.cpp
